package com.junmp.jyzb.service;

import com.junmp.v2.dict.api.bean.req.SysDictItemReq;
import com.junmp.v2.dict.api.bean.vo.SimpleDictItemVo;
import com.junmp.v2.dict.api.bean.vo.SimpleDictVo;
import com.junmp.v2.message.api.bean.req.MessageReq;
import com.junmp.v2.message.api.bean.req.MessageSendReq;

import java.util.List;

public interface PublicService {
    Long addDictType(SysDictItemReq req);

    List<SimpleDictItemVo> findListByDict(Long dictId);

    List<SimpleDictVo> getAllDictItem();

    boolean updateMessage(MessageReq req);
}
